<div align="center">
<div>
  <img src="https://git.unistra.fr/erp-sil/rms/-/raw/main/public/logo.png" alt="AIUS Logo" height="200px" />
  <img src="https://git.unistra.fr/uploads/-/system/project/avatar/21819/cashier2_117800.png" alt="RMS Logo" width="200px" height="200px" />
</div>

# Projet ERP : Module RMS

[![Build Status](https://drone.princelle.org/api/badges/erp-sil/rms/status.svg?ref=refs/heads/main)](https://drone.princelle.org/erp-sil/rms)
</div>

Ce projet consiste en une interface, mise à disposition de l'administration de l'[AIUS](https://fr-fr.facebook.com/aius.strasbourg/), son usage principal est de servir de caisse enregistreuse à l'association.

Cette application communique avec plusieurs modules afin de gérer les articles et le stock ([BACK](https://git.unistra.fr/erp-sil/back)), les étudiants/adhérents ([STUDENT](https://git.unistra.fr/erp-sil/student)), ainsi que le paiement ([MONEY](https://git.unistra.fr/erp-sil/money)).

Le code source est accessible à l'adresse suivante : https://git.unistra.fr/erp-sil/rms.

L'application est disponible via l'URL : https://rms.erp.uni.princelle.org.

**Informations de connexion :**

- Nom d'utilisateur/email : test@test.com
- Mot de passe : test1234

**Membres du groupe :**

- BRUA Hugo
- LAFORÊT Nicolas
- PRINCELLE Maxime
- VAUCHAIR Marline

## Table des matières

1. [Installation du module](#installation-du-module)
2. [Dépendances](#dépendances)
3. [Configuration](#configuration)
4. [Fonctionnalités](#fonctionnalités)

## Installation du module

Ce projet nécessite la présence de **Docker** et **Docker Compose** sur votre système :

- Pour installer Docker, consultez la [documentation officielle](https://docs.docker.com/get-docker/).
- Pour installer Docker Compose, suivez les [instructions suivantes](https://docs.docker.com/compose/install/).

Une fois le projet téléchargé, vous pouvez dans le dossier racine, lancer la commande suivante :

```bash
docker-compose up -d
```

## Dépendances

Ce projet a été créé avec :

- [React](https://fr.reactjs.org/)
- [TypeScript](https://www.typescriptlang.org/)
- [Tailwind](https://tailwindcss.com/)

## Configuration

Rajoutez un fichier `.env` à la racine du projet RMS, en suivant ce modèle:

```env
REACT_APP_BACK_URL="back.erp.uni.princelle.org"
REACT_APP_MONEY_URL="money.erp.uni.princelle.org"
REACT_APP_STUDENT_URL="student.erp.uni.princelle.org"
REACT_APP_BACK_API_KEY="theapikey"
APP_PORT=8080
```

Vous pourrez ensuite accéder à l'application via l'URL locale : http://localhost:8080

**Informations de connexion :**

- Nom d'utilisateur/email : test@test.com
- Mot de passe : test1234

## Fonctionnalités

Cette application se décompose en trois espaces :

### Vente

L'espace Vente affiche la liste des produits disponibles.

Il permet de mettre des articles dans le panier et de payer.

Il affiche également l'état des stocks.


> Écran 'Vendre' :
![Écran 'Vendre'](./screenshots/vendre.png)


> Écran 'Panier' :
![Écran 'Panier'](./screenshots/panier.png)

### Gestion des stocks

L'espace de 'Gestion des stocks' permet de redéfinir la quantité disponible de chaque produit.

> ![Écran 'Gestion des stocks'](./screenshots/stocks.png)

### Utilisateurs

L'espace 'Utilisateur' affiche la liste des utilisateurs avec leurs informations y compris leur statut adhérant.

> ![Écran 'Utilisateurs'](./screenshots/utilisateurs.png)