import { ActionType, CartType } from "./CartTypes";
import { initialState } from "./CartStore";

const Reducer = (state: CartType, action: ActionType): any => {
  switch (action.type) {
    case "SET_CART":
      //console.log("SET_CART");
      return {
        ...state,
        cart: action.payload,
      };
    case "TOGGLE_CART":
      //console.log("TOGGLE_CART");
      return {
        ...state,
        showCart: !state.showCart,
      };
    case "PURGE_STATE":
      return initialState;
    default:
      return state;
  }
};

export default Reducer;
