import { Dispatch } from "react";

export class Product {
  public id: number;
  public name: string;
  public category: string;
  public price: number;
  public subscriberPrice?: number;
  public stock: number;
  public quantity?: number;
  public stockPrice?: number;
  public edit?: boolean;

  constructor(params: Product) {
    Object.assign(this, params);
  }
};

export type CartType = {
  cart: Product[];
  showCart: boolean;
  persistenceType: string;
  totalPrice: number;
};

export type ActionType = {
  type: string;
  payload?: any;
};

export type ContextType = {
  cartState: CartType;
  dispatch: Dispatch<ActionType>;
};